(*******************************************************************
This file was generated automatically by the Mathematica front end.
It contains Initialization cells from a Notebook file, which
typically will have the same name as this file except ending in
".nb" instead of ".m".

This file is intended to be loaded into the Mathematica kernel using
the package loading commands Get or Needs.  Doing so is equivalent
to using the Evaluate Initialization Cells menu command in the front
end.

DO NOT EDIT THIS FILE.  This entire file is regenerated
automatically each time the parent Notebook file is saved in the
Mathematica front end.  Any changes you make to this file will be
overwritten.
***********************************************************************)







(************************************
    
    By Bruce Torrence,January 2001. 
      June 2002 - added error messages and Clear Global`x, y, r, 
  and /[Theta].
  
  
  ************************************)



BeginPackage["RMCPackages`ShowRegion`","Utilities`FilterOptions`"]



ShowRegion::usage=
    "ShowRegion[{x,xmin,xmax}, {y,ymin,ymax}] produces a graphic of the \
region in the plane consisting of all points {x,y} with xmin \[LessEqual] x \
\[LessEqual] xmax and  ymin \[LessEqual] y \[LessEqual] ymax. If the four \
bounds are numeric, this is simply a rectangle; but either or both of the \
bounds on y may be given as expressions in x, leading to a more complicated \
region. Red line segments and an error message will appear if the bounds \
supplied do not yield a well-defined region. The bounds on the first variable \
must be numeric. ShowRegion[{y,ymin,ymax},{x,xmin,xmax}] will also work; here \
the bounds on x may be expressions in y. One may also work in polar \
coordinates: ShowRegion[{\[Theta],\[Theta]min,\[Theta]max}, {r,rmin,rmax}] \
produces a graphic of the appropriate polar region, where rmin and rmax may \
be expressions in \[Theta]; and \
ShowRegion[{r,rmin,rmax},{\[Theta],\[Theta]min,\[Theta]max}] produces a \
graphic of the appropriate polar region, where \[Theta]min and \[Theta]max \
may be expressions in r. ShowRegion will accept any options accepted by \
ParametricPlot; Note that the option setting AspectRatio\[Rule]Automatic is \
usually needed to produce the same scaling on both coordinate axes. Note also \
that ShowRegion is sensitive to the names of the variables; do not deviate \
from the names x, y, r, and \[Theta], and only call the command from the \
Global` context. You can type \[Theta] from the keyboard with the key \
sequence Escape-th-Escape.";

ShowRegion::badbounds1=
    "No go, Joe. You need numeric bounds on `1` if it is the first variable.";

ShowRegion::badbounds2="No good. You have a problem with the bounds on `1`.";

ShowRegion::badarg=
    "Not so fast! `1` has been assigned a value. Type and enter Clear[`1`] \
then try ShowRegion again.";

ShowRegion::badarg2=
    "Nope. The syntax for ShowRegion demands that the symbol appearing in the \
first position of each iterator be one of x, y, r, or \[Theta], such that x \
always goes with y, and r always goes with \[Theta].";



Options[ShowRegion]={PlotStyle\[Rule]{Hue[0.7],Thickness[0.01]}};



Begin["`Private`"]



makelist[object_]:=Switch[object,_List,object,_,List[object]];



ShowRegion[{Global`x,xmin_,xmax_},{Global`y,ymin_,ymax_},opts___Rule]:=
  Module[{ps,top,bottom,left,right},
    If[!NumericQ[xmin]||!NumericQ[xmax],
      Message[ShowRegion::badbounds1,Global`x];
      Return[]];
    ps=PlotStyle/.{opts}/.Options[ShowRegion];
    ps=If[Head[ps]=!=List,{ps},ps];
    top=ParametricPlot[{Global`x,ymax},{Global`x,xmin,xmax},
        DisplayFunction\[Rule]Identity,PlotStyle\[Rule]ps,
        Evaluate[FilterOptions[ParametricPlot,opts]]];
    bottom=
      ParametricPlot[{Global`x,ymin},{Global`x,xmin,xmax},
        DisplayFunction\[Rule]Identity,PlotStyle\[Rule]ps,
        Evaluate[FilterOptions[ParametricPlot,opts]]];
    If[(ymin/.Global`x\[Rule]xmin)\[LessEqual](ymax/.Global`x\[Rule]xmin),
      left=Graphics[
          Append[ps,
            Line[{{Global`x,ymin}/.Global`x\[Rule]xmin,{Global`x,
                    ymax}/.Global`x\[Rule]xmin}]]],
      left=Graphics[{Hue[1],Thickness[0.01],
            Line[{{Global`x,ymin}/.Global`x\[Rule]xmin,{Global`x,
                    ymax}/.Global`x\[Rule]xmin}]}];
      Message[ShowRegion::badbounds2,Global`y]];
    If[(ymin/.Global`x\[Rule]xmax)\[LessEqual](ymax/.Global`x\[Rule]xmax),
      right=Graphics[
          Append[ps,
            Line[{{Global`x,ymin}/.Global`x\[Rule]xmax,{Global`x,
                    ymax}/.Global`x\[Rule]xmax}]]],
      right=Graphics[{Hue[1],Thickness[0.01],
            Line[{{Global`x,ymin}/.Global`x\[Rule]xmax,{Global`x,
                    ymax}/.Global`x\[Rule]xmax}]}];
      Message[ShowRegion::badbounds2,Global`y]];
    Show[top,bottom,left,right,Evaluate[FilterOptions[Graphics,opts]],
      PlotRange\[Rule]All,DisplayFunction\[Rule]$DisplayFunction]
    ]


ShowRegion[{Global`y,ymin_,ymax_},{Global`x,xmin_,xmax_},opts___Rule]:=
  Module[{ps,top,bottom,left,right},
    If[!NumericQ[ymin]||!NumericQ[ymax],
      Message[ShowRegion::badbounds1,Global`y];
      Return[]];
    ps=PlotStyle/.{opts}/.Options[ShowRegion];
    ps=If[Head[ps]=!=List,{ps},ps];
    right=
      ParametricPlot[{xmax,Global`y},{Global`y,ymin,ymax},
        DisplayFunction\[Rule]Identity,PlotStyle\[Rule]ps,
        Evaluate[FilterOptions[ParametricPlot,opts]]];
    left=ParametricPlot[{xmin,Global`y},{Global`y,ymin,ymax},
        DisplayFunction\[Rule]Identity,PlotStyle\[Rule]ps,
        Evaluate[FilterOptions[ParametricPlot,opts]]];
    If[(xmin/.Global`y\[Rule]ymin)\[LessEqual](xmax/.Global`y\[Rule]ymin),
      bottom=Graphics[
          Append[ps,
            Line[{{xmin,Global`y}/.Global`y\[Rule]ymin,{xmax,
                    Global`y}/.Global`y\[Rule]ymin}]]],
      bottom=Graphics[{Hue[1],Thickness[0.01],
            Line[{{xmin,Global`y}/.Global`y\[Rule]ymin,{xmax,
                    Global`y}/.Global`y\[Rule]ymin}]}];
      Message[ShowRegion::badbounds2,Global`x]];
    If[(xmin/.Global`y\[Rule]ymax)\[LessEqual](xmax/.Global`y\[Rule]ymax),
      top=Graphics[
          Append[ps,
            Line[{{xmin,Global`y}/.Global`y\[Rule]ymax,{xmax,
                    Global`y}/.Global`y\[Rule]ymax}]]],
      top=Graphics[{Hue[1],Thickness[0.01],
            Line[{{xmin,Global`y}/.Global`y\[Rule]ymax,{xmax,
                    Global`y}/.Global`y\[Rule]ymax}]}];
      Message[ShowRegion::badbounds2,Global`x]];
    Show[left,right,top,bottom,Evaluate[FilterOptions[Graphics,opts]],
      PlotRange\[Rule]All,DisplayFunction\[Rule]$DisplayFunction]]


ShowRegion[{Global`\[Theta],tmin_,tmax_},{Global`r,rmin_,rmax_},opts___Rule]:=
  Module[{inner,outer,loray,hiray,ps},
    If[!NumericQ[tmin]||!NumericQ[tmax],
      Message[ShowRegion::badbounds1,Global`\[Theta]];Return[]];
    ps=PlotStyle/.{opts}/.Options[ShowRegion];
    ps=If[Head[ps]=!=List,{ps},ps];
    outer=
      ParametricPlot[{rmax*Cos[Global`\[Theta]],
          rmax*Sin[Global`\[Theta]]},{Global`\[Theta],tmin,tmax},
        DisplayFunction\[Rule]Identity,PlotStyle\[Rule]ps,
        Evaluate[FilterOptions[ParametricPlot,opts]]];
    inner=
      ParametricPlot[{rmin*Cos[Global`\[Theta]],
          rmin*Sin[Global`\[Theta]]},{Global`\[Theta],tmin,tmax},
        DisplayFunction\[Rule]Identity,PlotStyle\[Rule]ps,
        Evaluate[FilterOptions[ParametricPlot,opts]]];
    If[(rmin/.Global`\[Theta]\[Rule]
              tmax)\[LessEqual](rmax/.Global`\[Theta]\[Rule]tmax),
      hiray=Graphics[
          Append[ps,
            Line[{{rmin*Cos[Global`\[Theta]],
                    rmin*Sin[Global`\[Theta]]}/.Global`\[Theta]\[Rule]
                    tmax,{rmax*Cos[Global`\[Theta]],
                    rmax*Sin[Global`\[Theta]]}/.Global`\[Theta]\[Rule]
                    tmax}]]],
      hiray=Graphics[{Hue[1],Thickness[0.01],
            Line[{{rmin*Cos[Global`\[Theta]],
                    rmin*Sin[Global`\[Theta]]}/.Global`\[Theta]\[Rule]
                    tmax,{rmax*Cos[Global`\[Theta]],
                    rmax*Sin[Global`\[Theta]]}/.Global`\[Theta]\[Rule]
                    tmax}]}];
      Message[ShowRegion::badbounds2,Global`r]];
    If[(rmin/.Global`\[Theta]\[Rule]
              tmin)\[LessEqual](rmax/.Global`\[Theta]\[Rule]tmin),
      loray=Graphics[
          Append[ps,
            Line[{{rmin*Cos[Global`\[Theta]],
                    rmin*Sin[Global`\[Theta]]}/.Global`\[Theta]\[Rule]
                    tmin,{rmax*Cos[Global`\[Theta]],
                    rmax*Sin[Global`\[Theta]]}/.Global`\[Theta]\[Rule]
                    tmin}]]],
      loray=Graphics[{Hue[1],Thickness[0.01],
            Line[{{rmin*Cos[Global`\[Theta]],
                    rmin*Sin[Global`\[Theta]]}/.Global`\[Theta]\[Rule]
                    tmin,{rmax*Cos[Global`\[Theta]],
                    rmax*Sin[Global`\[Theta]]}/.Global`\[Theta]\[Rule]
                    tmin}]}];
      Message[ShowRegion::badbounds2,Global`r]];
    Show[inner,outer,loray,hiray,Evaluate[FilterOptions[Graphics,opts]],
      PlotRange\[Rule]All,DisplayFunction\[Rule]$DisplayFunction]]

ShowRegion[{Global`r,rmin_,rmax_},{Global`\[Theta],tmin_,tmax_},opts___Rule]:=
  Module[{inner,outer,loray,hiray,ps,r},
    If[!NumericQ[rmin]||!NumericQ[rmax],
      Message[ShowRegion::badbounds1,Global`r];
      Return[]];
    ps=PlotStyle/.{opts}/.Options[ShowRegion];
    ps=If[Head[ps]=!=List,{ps},ps];
    hiray=
      ParametricPlot[{Global`r*Cos[tmax],Global`r*Sin[tmax]},{Global`r,rmin,
          rmax},DisplayFunction\[Rule]Identity,PlotStyle\[Rule]ps,
        Evaluate[FilterOptions[ParametricPlot,opts]]];
    loray=
      ParametricPlot[{Global`r*Cos[tmin],Global`r*Sin[tmin]},{Global`r,rmin,
          rmax},DisplayFunction\[Rule]Identity,PlotStyle\[Rule]ps,
        Evaluate[FilterOptions[ParametricPlot,opts]]];
    If[(tmin/.Global`r\[Rule]rmax)\[LessEqual](tmax/.Global`r\[Rule]rmax),
      outer=Graphics[
          Append[ps,Circle[{0,0},rmax,{tmin,tmax}/.Global`r\[Rule]rmax]]],
      outer=Graphics[{Hue[1],Thickness[0.01],
            Circle[{0,0},rmax,{tmin,tmax}/.Global`r\[Rule]rmax]}];
      Message[ShowRegion::badbounds2,Global`\[Theta]]];
    If[(tmin/.Global`r\[Rule]rmin)\[LessEqual](tmax/.Global`r\[Rule]rmin),
      inner=Graphics[
          Append[ps,Circle[{0,0},rmin,{tmin,tmax}/.Global`r\[Rule]rmin]]],
      inner=Graphics[{Hue[1],Thickness[0.01],
            Circle[{0,0},rmin,{tmin,tmax}/.Global`r\[Rule]rmin]}];
      Message[ShowRegion::badbounds2,Global`\[Theta]]];
    Show[loray,hiray,inner,outer,Evaluate[FilterOptions[Graphics,opts]],
      PlotRange\[Rule]All,DisplayFunction\[Rule]$DisplayFunction]]

ShowRegion[{sym1_,min1_,max1_},{sym2_,min2_,max2_},opts___Rule]:=
  
  Module[{},
    If[ValueQ[Global`x],Message[ShowRegion::badarg,"x"]];
    If[ValueQ[Global`y],Message[ShowRegion::badarg,"y"]];
    If[ValueQ[Global`r],Message[ShowRegion::badarg,"r"]];
    If[ValueQ[Global`\[Theta]],Message[ShowRegion::badarg,"\[Theta]"]];
    If[Head[sym1]\[Equal]Symbol,Message[ShowRegion::badarg2]];
    If[Head[sym2]\[Equal]Symbol,Message[ShowRegion::badarg2]];
    ]



End[]	(* end the private context *)

Protect[ShowRegion]

EndPackage[] 	(* end the package context *)